> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send passthrough request

> This endpoint makes it easy to send a passthrough request to the underlying Third Party App using a specified credentialId. It returns the raw data coming from the Third Party App.



## OpenAPI

````yaml post /passthrough
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /passthrough:
    post:
      summary: Send passthrough request
      description: >-
        This endpoint makes it easy to send a passthrough request to the
        underlying Third Party App using a specified credentialId. It returns
        the raw data coming from the Third Party App.
      operationId: send-passthrough-request
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - name: credentialId
          in: query
          required: true
          description: The credentialId for this integration.
          schema:
            type: string
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  enum:
                    - GET
                    - POST
                    - PUT
                    - DELETE
                    - PATCH
                  example: GET
                path:
                  type: string
                  example: /some/path
                body:
                  type: object
                  nullable: true
                query:
                  type: object
                  nullable: true
                extraHeaders:
                  type: object
                  nullable: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: ''
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````